com.sleepycat.persist.evolve

## Class EvolveEvent

- java.lang.Object
- - com.sleepycat.persist.evolve.EvolveEvent

    public class EvolveEvent
    extends java.lang.Object

The event passed to the EvolveListener interface during eager entity evolution.

See Also:
  `Class Evolution`

### Method Summary

Methods
`java.lang.String` `getEntityClassName()` The class name of the current entity class being converted.
`EvolveStats` `getStats()` The cummulative statistics gathered during eager evolution.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getStats

    public EvolveStats getStats()

The cummulative statistics gathered during eager evolution.

#### getEntityClassName

    public java.lang.String getEntityClassName()

The class name of the current entity class being converted.